org.springframework.core.type.filter

## Interface TypeFilter

- All Known Implementing Classes:
    AbstractClassTestingTypeFilter, AbstractTypeHierarchyTraversingFilter, AnnotationTypeFilter, AspectJTypeFilter, AssignableTypeFilter, RegexPatternTypeFilter

      public interface TypeFilter

  Base interface for type filters using a `MetadataReader`.
  Since:
    2.5
  Author:
    Costin Leau, Juergen Hoeller, Mark Fisher

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory)` Determine whether this filter matches for the class described by the given metadata.

- - ### Method Detail

    - #### match

          boolean match(MetadataReader metadataReader,
                      MetadataReaderFactory metadataReaderFactory)
                        throws IOException

      Determine whether this filter matches for the class described by the given metadata.
      Parameters:
        `metadataReader` - the metadata reader for the target class
        `metadataReaderFactory` - a factory for obtaining metadata readers for other classes (such as superclasses and interfaces)
      Returns:
        whether this filter matches
      Throws:
        `IOException` - in case of I/O failure when reading metadata